/* CSS RESET
-------------------------------------------------------------------------------------------------------------------------------------------*/

* {
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}


/* Sensible box-sizing */

body,
html,
div,
blockquote,
img,
label,
p,
h1,
h2,
h3,
h4,
h5,
h6,
pre,
ol,
li,
dl,
dt,
dd,
form,
a,
fieldset,
input,
th,
td,
figure {
    margin: 0;
    padding: 0;
    border: 0;
}

ul {
    direction: unset;
    margin: 0;
}
.unselectable {
    -webkit-user-select: none;
    -webkit-touch-callout: none;
    -webkit-user-drag: none;
    user-select: none;
}

img {
    border: 0;
    box-sizing: content-box;
    height: auto !important;
}

* {
    max-width: 100%;
}

ol,
ul {
    list-style: disc outside none;
    margin-left: 30px;
}


/* Style stripping */

blockquote:before,
blockquote:after,
q:before,
q:after {
    content: "";
}

blockquote,
q {
    quotes: "" "";
}


/* Blockquotes */

.both {
    clear: both;
}

br.both {
    clear: both;
    display: block;
    width: 0px;
    height: 0px;
    overflow: hidden;
}


/* Basic clear styles */

article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section {
    display: block;
}


/* HTML5 reset */

.cf:after,
.pw:after {
    content: "";
    display: table;
    clear: both;
}


/* Clearfix */

div.pw {
    width: 90%;
    margin: 0 auto;
    padding: 5% 0;
}

body {
    cursor: default;
    font-weight: normal;
    max-width: $CONTENT_WIDTH;
	margin: auto;
	text-rendering: optimizeLegibility;
	margin-top: 1rem;
}

.tlblue {
    background-color: #2295AB;
    color: white;
}

.tlgrey {
    background-color: #eee;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    overflow-wrap: break-word;
    font-weight: 500;
    line-height: 120%;
}

h1 a,
h2 a,
h3 a,
h4 a,
h5 a,
h6 a {
    color: #1d1f1c;
}

h1 {
    margin-top: 2rem;
    margin-bottom: 1rem;
    font-size: 2rem;
    font-weight: normal;
}

h2 {
    margin-top: 2rem;
    margin-bottom: 1rem;
    font-size: 1.5rem;
    font-weight: normal;
}

h3 {
    font-size: 1.25rem;
    margin-bottom: 0.5rem;
}

h4 {
    font-size: 1.25rem;
    margin-bottom: 0.5rem;
    text-transform: uppercase;
    font-weight: normal;
}

h5 {
    font-size: 1.2rem;
    margin-bottom: 0.25rem;
}

h6 {
    font-size: 1rem;
    margin-bottom: 0.25rem;
    text-transform: uppercase;
}

em,
i {
    font-style: italic;
}

strong,
b {
    font-weight: 500;
}

body,
p {
    margin-bottom: 1rem;
    color: #1d1f1c;
    line-height: $LINE_HEIGHT;
}

pre,
code {
    background-color: #eee;
    margin: 0 0 1em;
    white-space: pre-wrap;
    font-family: monospace, Consolas, Menlo, Monaco, Lucida Console, Liberation Mono, DejaVu Sans Mono, Bitstream Vera Sans Mono, Courier New, serif;
    overflow: auto;
    width: auto;
}

pre {
    padding: .5em 1em;
}

code {
    padding: .3em .3em;
}

p:last-of-type {
    margin-bottom: 0;
}

not(h1) a {
    white-space: nowrap;
}

a :not(img){
    outline:none;
    overflow: hidden;
}

a {
    text-overflow: ellipsis;
}

ins,
a:hover {
    text-decoration: none;
}

strong {
    font-weight: 600;
}

footer,
iframe,
img {
    padding: 0.2rem;
    border: 1px solid rgba(0, 0, 0, 0.05);
    max-width: 100%;
    max-height: auto;
}

.clickable-img-hover {
    outline: 2px solid black;
    cursor: pointer;
}

figure {
    display: inline-block;
    margin: 2rem auto;
    margin: 1rem;
    border: 1px solid rgba(0, 0, 0, 0.05);
}

figure p,
figure caption {
    font-size: 0.875rem;
    color: rgba(0, 0, 0, 0.6);
}

figure img {
    margin: 0 auto;
    padding: 0;
    border: 0;
    max-width: 100%;
    max-height: auto;
    height: auto;
}

figure:first-child {
    margin-top: 0rem;
}

header.post {
    padding: 1rem 2rem;
}

div.introtext {
    font-weight: 600;
}

header.post h1 {
    font-weight: 600;
    margin-top: 0.5rem;
    margin-bottom: 0.5rem;
    line-height: normal
}

header.post a:link {
    outline: none;
    text-decoration: none;
}

header.post span.source {
    color: rgba(0, 0, 0, 0.75);
    font-size: 0.75rem;
}

header.post span.author {
    color: rgba(0, 0, 0, 0.8);
    font-weight: 500;
    font-size: 0.75rem;
}

div.nfcontent {
    padding: 1rem 2rem;
    font-size: inherit;
}

dt {
    float: left;
    font-weight: bold;
    margin-right: 0.5em;
}

dt:after {
    content: ": ";
}

dd:after {
    clear: left;
    content: " ";
    display: block;
}

blockquote {
    margin-top: 10px;
    margin-bottom: 10px;
    margin-left: 3px;
    padding-left: 10px;
    border-left: 3px solid #ccc;
}

b {
    font-weight: bold;
}

.videoWrapper {
	position: relative;
	padding-bottom: 56.25%; /* 16:9 */
	padding-top: 25px;
	height: 0;
}

.videoWrapper iframe {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
}

/* Themes with no background boxes need less padding */
header.post,
div.nfcontent
{
	padding-top: 0;
	padding-bottom: 0;
	margin-bottom: 1rem;
	margin-top: 1rem;
}

/* DEFAULT THEME*/

body.theme.default {
    background: white;
}

footer,
iframe,
img,
figure {
	border: none;
}

/* DARK THEME*/

body.theme.dark {
    color: rgba(255, 255, 255, 0.9);
    background: #222;
}

body.theme.dark pre,
body.theme.dark pre code,
body.theme.dark code {
    background-color: #121212;
    color: white;
}

body.theme.dark table,
body.theme.dark th,
body.theme.dark td {
    border: 1px solid rgba(255, 255, 255, 0.8);
}

body.theme.dark div.nfcontent th {
    background: rgba(0, 0, 0, 0.1);
}

body.theme.dark header.post h1 {
    color: rgba(255, 255, 255, 0.9);
}

body.theme.dark header.post h1 a {
    color: rgba(255, 255, 255, 0.9);
}

body.theme.dark header.post span.source {
    color: rgba(255, 255, 255, 0.7);
}

body.theme.dark header.post span.author {
    color: rgba(255, 255, 255, 0.7);
}

body.theme.dark div.nfcontent {
    color: rgba(255, 255, 255, 0.7);
}

body.theme.dark div.nfcontent a {
    color: rgba(255, 255, 255, 0.9);
}

body.theme.dark div.nfcontent h1,
body.theme.dark div.nfcontent h2,
body.theme.dark div.nfcontent h3,
body.theme.dark div.nfcontent h4 {
    color: rgba(255, 255, 255, 0.8);
}

body.theme.dark div.nfcontent body,
body.theme.dark div.nfcontent ul,
body.theme.dark div.nfcontent figcaption,
body.theme.dark div.nfcontent h5,
body.theme.dark div.nfcontent h6,
body.theme.dark div.nfcontent p {
    color: rgba(255, 255, 255, 0.7);
}

/* MIDNIGHT THEME */

body.theme.midnight {
    color: rgba(255, 255, 255, 0.6);
    background: #233540;
}

body.theme.midnight pre,
body.theme.midnight pre code,
body.theme.midnight code {
    background-color: #a7afb3;
    color: #233540;
}

body.theme.midnight table,
body.theme.midnight th,
body.theme.midnight td {
    border: 1px solid rgba(255, 255, 255, 0.6);
}

body.theme.midnight div.nfcontent th {
    background: rgba(0, 0, 0, 0.1);
}

body.theme.midnight header.post h1 {
    color: #fff;
}

body.theme.midnight header.post h1 a {
    color: #9BA6AC;
}

body.theme.midnight header.post span.source {
    color: #2978a6;
}

body.theme.midnight header.post span.author {
    color: rgba(255, 255, 255, 0.6);
}

body.theme.midnight div.nfcontent a {
    color: #2978a6;
}

body.theme.midnight div.nfcontent h1,
body.theme.midnight div.nfcontent h2,
body.theme.midnight div.nfcontent h3,
body.theme.midnight div.nfcontent h4 {
    color: #2978a6;
}

body.theme.midnight div.nfcontent body,
body.theme.midnight div.nfcontent ul,
body.theme.midnight div.nfcontent figcaption,
body.theme.midnight div.nfcontent h5,
body.theme.midnight div.nfcontent h6,
body.theme.midnight div.nfcontent p {
    color: rgba(255, 255, 255, 0.6);
}

/* SPRING THEME*/

body.theme.spring {
    background: #f8fff2;
}

body.theme.spring header.post h1 {
    color: #405e80;
}

body.theme.spring div.nfcontent a {
    color: #405e80;
}

body.theme.spring div.nfcontent h1,
body.theme.spring div.nfcontent h2,
body.theme.spring div.nfcontent h3,
body.theme.spring div.nfcontent h4 {
    color: #405e80;
}

body.theme.spring div.nfcontent h2 {
    border-color: #405e80;
}

/* PARCHMENT THEME*/

body.theme.parchment {
    background: #faf2e1;
}

body.theme.parchment header.post h1 {
    color: #99400f;
}

body.theme.parchment div.nfcontent a {
    color: #99400f;
}

body.theme.parchment div.nfcontent h1,
body.theme.parchment div.nfcontent h2,
body.theme.parchment div.nfcontent h3,
body.theme.parchment div.nfcontent h4 {
    color: #99400f;
}

body.theme.parchment div.nfcontent h2 {
    border-color: #99400f;
}

body.theme.parchment div.nfcontent body,
body.theme.parchment div.nfcontent ul,
body.theme.parchment div.nfcontent figcaption,
body.theme.parchment div.nfcontent h5,
body.theme.parchment div.nfcontent h6,
body.theme.parchment div.nfcontent p {
    color: rgba(0, 0, 0, 0.8);
}


/* GRUVBOX THEME */

body.theme.gruvbox {
    color: #fbf1c7;
    background: #282828;
}

body.theme.gruvbox body,
body.theme.gruvbox p {
    color: #fbf1c7;
}

body.theme.gruvbox pre,
body.theme.gruvbox pre code,
body.theme.gruvbox code {
    background-color: #1d2021;
    color: #fbf1c7;
    font-family: 'FuraCode Nerd Font', 'Fira Code', 'Fira Mono', monospace, Consolas, Menlo, Monaco, Lucida Console, Liberation Mono, DejaVu Sans Mono, Bitstream Vera Sans Mono, Courier New, serif;
}

body.theme.gruvbox table,
body.theme.gruvbox th,
body.theme.gruvbox td {
    border: 1px solid #928374;
}

body.theme.gruvbox header.post h1 {
    color: #fbf1c7;
}

body.theme.gruvbox header.post h1 a {
    color: #928374;
}

body.theme.gruvbox header.post span.source {
    color: #689d6a;
}

body.theme.gruvbox div.nfcontent p,
body.theme.gruvbox header.post span.author {
    color: #fbf1c7;
}

body.theme.gruvbox div.nfcontent a {
    color: #689d6a;
}

body.theme.gruvbox div.nfcontent h1,
body.theme.gruvbox div.nfcontent h2,
body.theme.gruvbox div.nfcontent h3,
body.theme.gruvbox div.nfcontent h4 {
    color: #928374;
}
